ALTER GROUP(7)

NAME
ALTER_GROUP - change role name or membership

SYNOPSIS

ALTER GROUP group_name ADD USER user_name [, ... ]
ALTER GROUP group_name DROP USER user_name [, ... ]
ALTER GROUP group_name RENAME TO new_name

DESCRIPTION

ALTER GROUP changes the attributes of a user group. This is an obsolete command, though still accepted for backwards compatibility, because groups (and users too) have been superseded by the more general concept of roles.

The first two variants add users to a group or remove them from a group. (Any role can play the part of either a “user” or a “group” for this purpose.) These variants are effectively equivalent to granting or revoking membership in the role named as the “group”; so the preferred way to do this is to use GRANT(7) or REVOKE(7).

The third variant changes the name of the group. This is exactly equivalent to renaming the role with ALTER ROLE (ALTER_ROLE(7)).

PARAMETERS

group_name
    The name of the group (role) to modify.

user_name
    Users (roles) that are to be added to or removed from the group. The users must already exist; ALTER GROUP does not create or drop users.

new_name
    The new name of the group.

EXAMPLES

Add users to a group:

    ALTER GROUP staff ADD USER karl, john;

Remove a user from a group:

    ALTER GROUP workers DROP USER beth;

COMPATIBILITY

There is no ALTER GROUP statement in the SQL standard.

SEE ALSO
GRANT(7), REVOKE(7), ALTER ROLE (ALTER_ROLE(7))